Pagamentos
Listar pagamentos
Lista os cards da loja atualizados em uma janela de exatamente 24 horas.
POST
/pooling/orderAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/pooling/order" \ -H "Content-Type: application/json" \ -d '{ "datetimeInitial": "2026-02-09 00:00:00", "datetimeFinal": "2026-02-10 00:00:00" }'{
"pooling": [
{
"payment_identifier": "68ab8366-29db-438e-9a39-8ca72691c0b7",
"cnpj": "99999999999999",
"create_at": "2026-02-09T10:12:00.000Z",
"update_at": "2026-02-09T10:15:00.000Z",
"value": 19.9,
"payment_value": 19.9,
"payment_status": "CNC",
"order_type": "NRM",
"payment_type": "DEBIT",
"type": "PAYMENT",
"charge_id": "966",
"remaining_payment_amount": 0,
"partial_payments": [],
"grouped_payments": [],
"form_order": null
},
{
"print_identifier": "019c9618-0d2f-7405-8e07-2a3e75b20172",
"cnpj": "99999999999999",
"create_at": "2026-02-09T10:20:00.000Z",
"update_at": "2026-02-09T10:21:00.000Z",
"file": "https://storage.blob.com/smart-tef/68ab8366-SR4YK.png",
"order_type": "CRD_UNICO",
"print_status": "IMP",
"type": "PRINT",
"print_id": "189",
"store_id": 1
}
],
"pooling_time": "10"
}{
"status": 400,
"data": {
"message": "Difference between dates must be one day",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/order"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/order"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/order"
}
}